Package de.geolykt.starloader.deobf.access

# Class AccessWidenerReader.IllegalHeaderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
de.geolykt.starloader.deobf.access.AccessWidenerReader.IllegalHeaderException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `AccessWidenerReader`

@Deprecated @ScheduledForRemoval(inVersion="5.0.0") public static class AccessWidenerReader.IllegalHeaderException extends IOException
Deprecated.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IllegalHeaderException(String message)`
Deprecated.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IllegalHeaderException

public IllegalHeaderException(String message)
Deprecated.